> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect.fastenhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Synthetic Patient

> Run this command to reset a TEFCA synthetic test patient's connections.

<Badge color="green">TEFCA</Badge> This helper endpoint is only available while using `test` API credentials and is designed for clearing your TEFCA IAS sandbox before running another end-to-end scenario.

<Warning>
Authenticate with HTTP Basic auth using your organization public id and private key that are configured for **Test API Mode**. Requests made with live credentials will be rejected.
</Warning>

The request body **must** include an `email` value for one of the test synthetic patients documented in the [TEFCA IAS Developer Guide](/guides/tefca-ias#example-test-patients). All current connections for that synthetic patient are revoked so you can start a fresh flow.



## OpenAPI

````yaml POST /bridge/vault_connection/revoke
openapi: 3.0.1
info:
  title: Fasten Connect
  description: >-
    Useful links:

    - [Fasten Connect API
    repository](https://github.com/fastenhealth/fasten-connect-api)

    - [Fasten Connect Developer
    Portal](https://github.com/fastenhealth/fasten-connect-app)
  termsOfService: https://www.fastenhealth.com/
  contact:
    email: connect@fastenhealth.com
  license:
    name: Private
  version: 1.0.11
servers:
  - url: https://api.connect.fastenhealth.com/v1/
    description: Use this server for both live and test mode.
security: []
tags:
  - name: auth
    description: Portal Authentication & Signup
  - name: user
    description: Operations about user
  - name: org
    description: Operations about organization
  - name: bridge
    description: Customer (organization) facing APIs
  - name: catalog
    description: Catalog APIs
externalDocs:
  description: Find out more about Fasten Connect
  url: https://www.fastenhealth.com/
paths:
  /bridge/vault_connection/revoke:
    post:
      tags:
        - bridge
      summary: Revoke TEFCA synthetic patient connections
      description: >-
        Run this command to reset a TEFCA synthetic test patient's connections.


        <Badge color="green">TEFCA</Badge> This helper endpoint is only
        available while using `test` API credentials and is designed for
        clearing your TEFCA IAS sandbox before running another end-to-end
        scenario.


        <Warning>

        Authenticate with HTTP Basic auth using your organization public id and
        private key that are configured for **Test API Mode**. Requests made
        with live credentials will be rejected.

        </Warning>


        The request body **must** include an `email` value for one of the test
        synthetic patients documented in the [TEFCA IAS Developer
        Guide](/guides/tefca-ias#example-test-patients). All current connections
        for that synthetic patient are revoked so you can start a fresh flow.
      requestBody:
        description: >-
          Identify the synthetic patient and the vault connections that should
          be revoked.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VaultConnectionOrgRevokeRequest'
            example:
              email: dogbeaker@aol.com
        required: true
      responses:
        '200':
          description: Revoke operation completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    $ref: '#/components/schemas/VaultConnectionOrgRevokeResponse'
      security:
        - bridge_basic: []
components:
  schemas:
    VaultConnectionOrgRevokeRequest:
      type: object
      required:
        - email
      properties:
        email:
          type: string
          format: email
          description: >-
            Email address for one of the synthetic TEFCA IAS test patients
            listed in the [TEFCA IAS Developer
            Guide](/guides/tefca-ias#example-test-patients).
          example: dogbeaker@aol.com
      xml:
        name: vault_connection_org_revoke_request
    VaultConnectionOrgRevokeResponse:
      type: object
      properties:
        request_id:
          type: string
          description: AWS request id associated with the revoke job.
          example: f5d19ee8-6d53-4d17-b7f8-368d1fa41506
        revoked:
          type: array
          description: The vault connection ids that were successfully revoked.
          items:
            type: string
          example:
            - vault_conn_12345
      xml:
        name: vault_connection_org_revoke_response
  securitySchemes:
    bridge_basic:
      type: http
      scheme: basic
      description: >
        [Basic Authentication](/api-reference/authentication), containing API
        Public Id and Private Key generated from the Fasten Connect Portal. **Do
        not expose these keys in the browser.**

````